<!DOCTYPE html>
<html class="no-js">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>libnexakotlin</title>
    <link href="images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "";</script>
    <script>document.documentElement.classList.replace("no-js","js");</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="https://unpkg.com/kotlin-playground@1/dist/playground.min.js" async="async"></script>
<script type="text/javascript" src="scripts/sourceset_dependencies.js" async="async"></script>
<link href="styles/style.css" rel="Stylesheet">
<link href="styles/main.css" rel="Stylesheet">
<link href="styles/prism.css" rel="Stylesheet">
<link href="styles/logo-styles.css" rel="Stylesheet">
<link href="styles/font-jb-sans-auto.css" rel="Stylesheet">
<script type="text/javascript" src="scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="scripts/prism.js" async="async"></script>
<script type="text/javascript" src="scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
<link href="images/nexa-64x64.png">
<link href="images/logo-icon.svg">
<link href="styles/logo-styles.css" rel="Stylesheet">
</head>
<body>
    <div class="root">
<nav class="navigation" id="navigation-wrapper">
    <div class="navigation--inner">
        <div class="navigation-title">
            <button class="menu-toggle" id="menu-toggle" type="button">toggle menu</button>
            <div class="library-name">
                    <a class="library-name--link" href="index.html">
                            libnexakotlin
                    </a>
            </div>
            <div class="library-version">
0.0.22            </div>
        </div>
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector jvm-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/androidMain">android</button>
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/commonMain">common</button>
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/iosMain">ios</button>
                <button class="platform-tag platform-selector jvm-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/jvmMain">jvm</button>
                <button class="platform-tag platform-selector native-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/linuxMain">linux</button>
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/macosMain">macos</button>
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/nativeMain">native</button>
        </div>
    </div>
    <div class="navigation-controls">
        <button class="navigation-controls--btn navigation-controls--theme" id="theme-toggle-button" type="button">switch theme</button>
        <div class="navigation-controls--btn navigation-controls--search" id="searchBar" role="button">search in API</div>
    </div>
</nav>
        <div id="container">
            <div class="sidebar" id="leftColumn">
                <div class="sidebar--inner" id="sideMenu"></div>
            </div>
            <div id="main">
<div class="main-content" id="content" pageIds="libnexakotlin::////PointingToDeclaration//-1102297848">
  <div class="breadcrumbs"></div>
  <div class="cover ">
    <h1 class="cover"><span><span>libnexakotlin</span></span></h1>
    <div class="platform-hinted UnderCoverText with-platform-tabs" data-platform-hinted="data-platform-hinted">
      <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/androidMain" data-filterable-set=":libnexakotlin:dokkaHtml/androidMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/androidMain">android</button><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain" data-toggle=":libnexakotlin:dokkaHtml/commonMain">common</button><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/iosMain" data-filterable-set=":libnexakotlin:dokkaHtml/iosMain" data-toggle=":libnexakotlin:dokkaHtml/iosMain">ios</button><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/jvmMain" data-filterable-set=":libnexakotlin:dokkaHtml/jvmMain" data-toggle=":libnexakotlin:dokkaHtml/jvmMain">jvm</button><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/linuxMain" data-filterable-set=":libnexakotlin:dokkaHtml/linuxMain" data-toggle=":libnexakotlin:dokkaHtml/linuxMain">linux</button><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/macosMain" data-filterable-set=":libnexakotlin:dokkaHtml/macosMain" data-toggle=":libnexakotlin:dokkaHtml/macosMain">macos</button><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/androidMain"><p class="paragraph">A multiplatform library to provide wallet-type operations for the nexa blockchain, including:</p><ul><li><p class="paragraph">connectivity to the peer-to-peer and electrum protocol networks.</p></li><li><p class="paragraph">script creation and simulation</p></li><li><p class="paragraph">address conversion</p></li><li><p class="paragraph">wallet operation</p></li></ul><h2 class=""> Add to your Gradle Project</h2><p class="paragraph"><a href="https://gitlab.com/api/v4/projects/48545045/packages">Find the latest library version here.</a></p><p class="paragraph">In your build.grade.kts:</p><div class="sample-container"><pre><code class="block lang-gradle" theme="idea">repositories {<br>    maven { url = uri(&quot;https://gitlab.com/api/v4/projects/48545045/packages/maven&quot;) } // LibNexaKotlin<br>}<br><br>dependencies {<br>    // typically this library is used in test code so the example shown uses &quot;testImplementation&quot;<br>    implementation(&quot;org.nexa:libnexakotlin:0.0.1&quot;)  // Update this version with the latest<br>}</code></pre><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div><div class="content sourceset-dependent-content" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><p class="paragraph">A multiplatform library to provide wallet-type operations for the nexa blockchain, including:</p><ul><li><p class="paragraph">connectivity to the peer-to-peer and electrum protocol networks.</p></li><li><p class="paragraph">script creation and simulation</p></li><li><p class="paragraph">address conversion</p></li><li><p class="paragraph">wallet operation</p></li></ul><h2 class=""> Add to your Gradle Project</h2><p class="paragraph"><a href="https://gitlab.com/api/v4/projects/48545045/packages">Find the latest library version here.</a></p><p class="paragraph">In your build.grade.kts:</p><div class="sample-container"><pre><code class="block lang-gradle" theme="idea">repositories {<br>    maven { url = uri(&quot;https://gitlab.com/api/v4/projects/48545045/packages/maven&quot;) } // LibNexaKotlin<br>}<br><br>dependencies {<br>    // typically this library is used in test code so the example shown uses &quot;testImplementation&quot;<br>    implementation(&quot;org.nexa:libnexakotlin:0.0.1&quot;)  // Update this version with the latest<br>}</code></pre><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><p class="paragraph">A multiplatform library to provide wallet-type operations for the nexa blockchain, including:</p><ul><li><p class="paragraph">connectivity to the peer-to-peer and electrum protocol networks.</p></li><li><p class="paragraph">script creation and simulation</p></li><li><p class="paragraph">address conversion</p></li><li><p class="paragraph">wallet operation</p></li></ul><h2 class=""> Add to your Gradle Project</h2><p class="paragraph"><a href="https://gitlab.com/api/v4/projects/48545045/packages">Find the latest library version here.</a></p><p class="paragraph">In your build.grade.kts:</p><div class="sample-container"><pre><code class="block lang-gradle" theme="idea">repositories {<br>    maven { url = uri(&quot;https://gitlab.com/api/v4/projects/48545045/packages/maven&quot;) } // LibNexaKotlin<br>}<br><br>dependencies {<br>    // typically this library is used in test code so the example shown uses &quot;testImplementation&quot;<br>    implementation(&quot;org.nexa:libnexakotlin:0.0.1&quot;)  // Update this version with the latest<br>}</code></pre><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div><div class="content sourceset-dependent-content" data-togglable=":libnexakotlin:dokkaHtml/iosMain"><p class="paragraph">A multiplatform library to provide wallet-type operations for the nexa blockchain, including:</p><ul><li><p class="paragraph">connectivity to the peer-to-peer and electrum protocol networks.</p></li><li><p class="paragraph">script creation and simulation</p></li><li><p class="paragraph">address conversion</p></li><li><p class="paragraph">wallet operation</p></li></ul><h2 class=""> Add to your Gradle Project</h2><p class="paragraph"><a href="https://gitlab.com/api/v4/projects/48545045/packages">Find the latest library version here.</a></p><p class="paragraph">In your build.grade.kts:</p><div class="sample-container"><pre><code class="block lang-gradle" theme="idea">repositories {<br>    maven { url = uri(&quot;https://gitlab.com/api/v4/projects/48545045/packages/maven&quot;) } // LibNexaKotlin<br>}<br><br>dependencies {<br>    // typically this library is used in test code so the example shown uses &quot;testImplementation&quot;<br>    implementation(&quot;org.nexa:libnexakotlin:0.0.1&quot;)  // Update this version with the latest<br>}</code></pre><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div><div class="content sourceset-dependent-content" data-togglable=":libnexakotlin:dokkaHtml/jvmMain"><p class="paragraph">A multiplatform library to provide wallet-type operations for the nexa blockchain, including:</p><ul><li><p class="paragraph">connectivity to the peer-to-peer and electrum protocol networks.</p></li><li><p class="paragraph">script creation and simulation</p></li><li><p class="paragraph">address conversion</p></li><li><p class="paragraph">wallet operation</p></li></ul><h2 class=""> Add to your Gradle Project</h2><p class="paragraph"><a href="https://gitlab.com/api/v4/projects/48545045/packages">Find the latest library version here.</a></p><p class="paragraph">In your build.grade.kts:</p><div class="sample-container"><pre><code class="block lang-gradle" theme="idea">repositories {<br>    maven { url = uri(&quot;https://gitlab.com/api/v4/projects/48545045/packages/maven&quot;) } // LibNexaKotlin<br>}<br><br>dependencies {<br>    // typically this library is used in test code so the example shown uses &quot;testImplementation&quot;<br>    implementation(&quot;org.nexa:libnexakotlin:0.0.1&quot;)  // Update this version with the latest<br>}</code></pre><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div><div class="content sourceset-dependent-content" data-togglable=":libnexakotlin:dokkaHtml/linuxMain"><p class="paragraph">A multiplatform library to provide wallet-type operations for the nexa blockchain, including:</p><ul><li><p class="paragraph">connectivity to the peer-to-peer and electrum protocol networks.</p></li><li><p class="paragraph">script creation and simulation</p></li><li><p class="paragraph">address conversion</p></li><li><p class="paragraph">wallet operation</p></li></ul><h2 class=""> Add to your Gradle Project</h2><p class="paragraph"><a href="https://gitlab.com/api/v4/projects/48545045/packages">Find the latest library version here.</a></p><p class="paragraph">In your build.grade.kts:</p><div class="sample-container"><pre><code class="block lang-gradle" theme="idea">repositories {<br>    maven { url = uri(&quot;https://gitlab.com/api/v4/projects/48545045/packages/maven&quot;) } // LibNexaKotlin<br>}<br><br>dependencies {<br>    // typically this library is used in test code so the example shown uses &quot;testImplementation&quot;<br>    implementation(&quot;org.nexa:libnexakotlin:0.0.1&quot;)  // Update this version with the latest<br>}</code></pre><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div><div class="content sourceset-dependent-content" data-togglable=":libnexakotlin:dokkaHtml/macosMain"><p class="paragraph">A multiplatform library to provide wallet-type operations for the nexa blockchain, including:</p><ul><li><p class="paragraph">connectivity to the peer-to-peer and electrum protocol networks.</p></li><li><p class="paragraph">script creation and simulation</p></li><li><p class="paragraph">address conversion</p></li><li><p class="paragraph">wallet operation</p></li></ul><h2 class=""> Add to your Gradle Project</h2><p class="paragraph"><a href="https://gitlab.com/api/v4/projects/48545045/packages">Find the latest library version here.</a></p><p class="paragraph">In your build.grade.kts:</p><div class="sample-container"><pre><code class="block lang-gradle" theme="idea">repositories {<br>    maven { url = uri(&quot;https://gitlab.com/api/v4/projects/48545045/packages/maven&quot;) } // LibNexaKotlin<br>}<br><br>dependencies {<br>    // typically this library is used in test code so the example shown uses &quot;testImplementation&quot;<br>    implementation(&quot;org.nexa:libnexakotlin:0.0.1&quot;)  // Update this version with the latest<br>}</code></pre><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div><div class="content sourceset-dependent-content" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><p class="paragraph">A multiplatform library to provide wallet-type operations for the nexa blockchain, including:</p><ul><li><p class="paragraph">connectivity to the peer-to-peer and electrum protocol networks.</p></li><li><p class="paragraph">script creation and simulation</p></li><li><p class="paragraph">address conversion</p></li><li><p class="paragraph">wallet operation</p></li></ul><h2 class=""> Add to your Gradle Project</h2><p class="paragraph"><a href="https://gitlab.com/api/v4/projects/48545045/packages">Find the latest library version here.</a></p><p class="paragraph">In your build.grade.kts:</p><div class="sample-container"><pre><code class="block lang-gradle" theme="idea">repositories {<br>    maven { url = uri(&quot;https://gitlab.com/api/v4/projects/48545045/packages/maven&quot;) } // LibNexaKotlin<br>}<br><br>dependencies {<br>    // typically this library is used in test code so the example shown uses &quot;testImplementation&quot;<br>    implementation(&quot;org.nexa:libnexakotlin:0.0.1&quot;)  // Update this version with the latest<br>}</code></pre><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div>    </div>
  </div>
  <h2 class="">Packages</h2>
  <div class="table"><a data-name="627944260%2FPackages%2F-1102297848" anchor-label="org.nexa.libnexakotlin" id="627944260%2FPackages%2F-1102297848" data-filterable-set=":libnexakotlin:dokkaHtml/androidMain,:libnexakotlin:dokkaHtml/commonMain,:libnexakotlin:dokkaHtml/iosMain,:libnexakotlin:dokkaHtml/jvmMain,:libnexakotlin:dokkaHtml/linuxMain,:libnexakotlin:dokkaHtml/macosMain,:libnexakotlin:dokkaHtml/nativeMain"></a>
    <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/androidMain,:libnexakotlin:dokkaHtml/commonMain,:libnexakotlin:dokkaHtml/iosMain,:libnexakotlin:dokkaHtml/jvmMain,:libnexakotlin:dokkaHtml/linuxMain,:libnexakotlin:dokkaHtml/macosMain,:libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/androidMain,:libnexakotlin:dokkaHtml/commonMain,:libnexakotlin:dokkaHtml/iosMain,:libnexakotlin:dokkaHtml/jvmMain,:libnexakotlin:dokkaHtml/linuxMain,:libnexakotlin:dokkaHtml/macosMain,:libnexakotlin:dokkaHtml/nativeMain">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="libnexakotlin/org.nexa.libnexakotlin/index.html">org.nexa.libnexakotlin</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="627944260%2FPackages%2F-1102297848"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">android</div>
              <div class="platform-tag common-like">common</div>
              <div class="platform-tag common-like">ios</div>
              <div class="platform-tag jvm-like">jvm</div>
              <div class="platform-tag native-like">linux</div>
              <div class="platform-tag common-like">macos</div>
              <div class="platform-tag common-like">native</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="-950981890%2FPackages%2F1316645254" anchor-label="org.nexa.libnexakotlin.simpleapi" id="-950981890%2FPackages%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
    <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="libnexakotlin/org.nexa.libnexakotlin.simpleapi/index.html">org.nexa.libnexakotlin.simpleapi</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-950981890%2FPackages%2F1316645254"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag common-like">common</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>(c) 2023 Bitcoin Unlimited</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
            </div>
        </div>
    </div>
</body>
</html>
